Subject: Re: bug#35174: emacs-git sha f2d22273599f96a731e23b2f6d7571af8bb7bb3f fails to build
From: Stefan Cocora <[email-masked]>
To: Noam Postavsky <[email-masked]>
Date: Tue, 9 Apr 2019 19:59:00 +0100

On 4/7/19 12:49, Noam Postavsky wrote:
> Stefan Cocora <[email-masked]> writes:
> 
>> The weird part is that a previous(2019-Mar-24) emacs-git build, built
>> with the same PKGBUILD worked fine, found and built lib/fcntl.c.
>> - previous successful log build attached to this email
> 
> So I notice this successful build also is also printing the recursive
> make invocation (and it seems to be running in parallel) whereas the
> failing build just goes straight to printing the GEN lines.  I think
> this all this points to some change in the build system on the server;
> was 'make' updated recently?
> 
> make -C lib all
> make info-real info-dir
> make[1]: Entering directory '/build/emacs-git/src/emacs-git/lib'
> make[1]: Entering directory '/build/emacs-git/src/emacs-git'
> make -C doc/lispref info
>   GEN      alloca.h
>   GEN      dirent.h
> 

Not sure how make would switch from printing the recursive make
invocation to printing GEN lines, since I've not touched the upstream
emacs Makefile.

Since this build is running in a clean chroot, it will install,
unattended, the latest available make version. (4.2.1)

Looking at the git changes for the archlinux make pkg, the last version
update was in 2018-11

https://git.archlinux.org/svntogit/packages.git/log/trunk?h=packages/make